%global pypi_name myst-parser
%bcond_without     testsuite

Summary:        A commonmark compliant parser, with bridges to docutils & sphinx
Name:           python-%{pypi_name}
Version:        2.0.0
Release:        6%{?dist}
License:        MIT
URL:            https://github.com/executablebooks/MyST-Parser
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
%if %{with testsuite}
BuildRequires:  python3-pytest python3-beautifulsoup4 python3-docutils python3-pytest-regressions
BuildRequires:  python3-linkify-it-py python3-pytest-param-files python3-sphinx-pytest
%endif
BuildArch:      noarch

%description
A fully-functional markdown flavor and parser for Sphinx.  MyST allows you to write Sphinx
documentation entirely in markdown.  MyST markdown provides a markdown equivalent of the
reStructuredText syntax, meaning that you can do anything in MyST that you can do with
reStructuredText.  It is an attempt to have the best of both worlds: the flexibility and
extensibility of Sphinx with the simplicity and readability of Markdown.

%package -n     python3-%{pypi_name}
Summary:        A commonmark compliant parser, with bridges to docutils & sphinx

%description -n python3-%{pypi_name}
A fully-functional markdown flavor and parser for Sphinx.  MyST allows you to write Sphinx
documentation entirely in markdown.  MyST markdown provides a markdown equivalent of the
reStructuredText syntax, meaning that you can do anything in MyST that you can do with
reStructuredText.  It is an attempt to have the best of both worlds: the flexibility and
extensibility of Sphinx with the simplicity and readability of Markdown.

%prep
%autosetup -p1 -n MyST-Parser-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files myst_parser

%check
%if %{with testsuite}
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/myst-anchors
%{_bindir}/myst-docutils-*
%{_bindir}/myst-inv

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.0.0-6
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.0.0-5
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.0.0-4
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for loongarch release

* Fri May 31 2024 Shuo Wang <abushwang@tencent.com> - 2.0.0-2
- enable %check

* Fri Sep 22 2023 Miaojun Dong <zoedong@tencent.com> - 2.0.0-1
- Bump version to 2.0.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 0.17.0-1
- initial build
